#include <algorithm>
#include <array>
#include <iostream>
#include <map>
#include <vector>

using namespace std;

const long long INF = 1e18 + 228;
map<array<long long, 3>, pair<long, long>> mem;

pair<long long, long long > calc_dp(long long a, long long b, long long c) {
    if (c == a + 2) {
        return {0LL, 0LL};
    }
    if (mem.find({{a, b, c}}) != mem.end()) {
        return mem[{{a, b, c}}];
    }
    long long lo = INF, hi = -INF;
    for (long long t = a + 1; t < b; ++t) {
        auto [_lo, _hi] = calc_dp(a, t, b);
        lo = min(lo, _lo + 1);
        hi = max(hi, _hi + 1);
    }
    for (long long t = b + 1; t < c; ++t) {
        auto [_lo, _hi] = calc_dp(b, t, c);
        lo = min(lo, _lo + 1);
        hi = max(hi, _hi + 1);
    }
    return mem[{{a, b, c}}] = {lo, hi};
}

int main() {
    vector<long long> frogs(3);
    cin >> frogs[0] >> frogs[1] >> frogs[2];
    sort(frogs.begin(), frogs.end());
    auto [lo, hi] = calc_dp(frogs[0], frogs[1], frogs[2]);
    cout << lo << ' ' << hi << '\n';
}
