#include <bits/stdc++.h>
#include "testlib.h"
#include <set>
#include <utility>
#include <vector>

using namespace std;

const int MAX_N = 100000;
const int MAX_W = 10000000;

int max_n[] = {MAX_N, 1000, MAX_N, MAX_N, MAX_N, MAX_N, MAX_N};
int max_w[] = {MAX_W, MAX_W, MAX_W, MAX_W, 10000, MAX_W};

bool check_weight(int x) {
	while (x % 2 == 0) {
		x /= 2;
	}
	return x == 1;
}
vector<int> G[MAX_N + 5];
bool used[MAX_N + 5];
int deg[MAX_N + 5];
void dfs(int v, int p) {
	used[v] = true;
	for (auto u : G[v]) {
		if (u == p || used[u]) continue;
		dfs(u, v);
	}
}
int main(int argc, char* argv[]) {
	registerValidation(argc, argv);
	int gr = validator.group().empty() ? 0 : atoi(validator.group().c_str());
	int n = inf.readInt(1, max_n[gr], "n");
	inf.readEoln();
	for (int i = 1; i <= n - 1; ++i) {
		int u = inf.readInt(1, n, "u");
		inf.readSpace();
		int v = inf.readInt(1, n, "v");
		inf.readSpace();
		int w = inf.readInt(1, max_w[gr], "w");
		inf.readEoln();
		ensuref(v != u, "graph should be tree");
		if (gr == 3) {
			ensuref(check_weight(w), "weight should be pow of two");
		}
		deg[u]++;
		deg[v]++;
		G[u].push_back(v);
		G[v].push_back(u);
	}

	dfs(1, 1);
	int cur = 0, cur2 = 0;
	for (int i = 1; i <= n; ++i) {
		ensuref(used[i], "graph should be tree");
		if (deg[i] == 1) cur2++;
		else if (deg[i] == 2) cur++;
	}
	if (n > 1 && gr == 2) ensuref(cur2 == 2 && cur == n - 2, "graph should be bamboo");
	inf.readEof();
}