#include <bits/stdc++.h>
using namespace std;

const int MAX_W = 1e7 + 8;
const int MAX_N = 1e5 + 8;

map<int, int> dividers[MAX_W];
vector<pair<int, int> > G[MAX_N];
int answer = 0;
void calculate_answer(vector<int> bamboo) {
	map<int, int> pow_prime;
	for (auto prime : dividers[bamboo[0]]) {
		pow_prime[prime.first] = 1;
		answer = max(answer, 1);
	}
	for (int edge = 1; edge < bamboo.size(); ++edge) {
		int w = bamboo[edge];
		map<int, int> new_pow_prime;
		for (auto prime : dividers[w]) {
			new_pow_prime[prime.first] = min(pow_prime[prime.first] + 1, prime.second);
			answer = max(answer, new_pow_prime[prime.first]);
		}
		pow_prime = new_pow_prime;
	}
}
int main() {
	vector<int> bamboo;
	vector<int> bamboo_edges;
	int n;
	cin >> n;
	for (int i = 1; i <= n - 1; ++i) {
		int v, u, w;
		cin >> v >> u >> w;
		G[v].push_back({u, w});
		G[u].push_back({v, w});
		if (dividers[w].size() == 0) {
			int x = w;
			for (int j = 2; j * j <= x; ++j) {
				while (x % j == 0) {
					dividers[w][j]++;
					x /= j;
				}
			}
			if (x > 1) dividers[w][x]++;
		}
	}
	if (n == 1) {
		cout << 0;
		return 0;
	}
	for (int i = 1; i <= n; ++i) {
		if (G[i].size() == 1) {
			bamboo.push_back(i);
			break;
		}
	}
	while (bamboo.size() < n) {
		int v = bamboo.back();
		bool find_v = false;
		for (auto edge : G[v]) {
			if (bamboo.size() == 1 || bamboo[bamboo.size() - 2] != edge.first) {
				bamboo.push_back(edge.first);
				bamboo_edges.push_back(edge.second);
				find_v = true;
				break;
			}
		}
		if (!find_v) {
			cout << 0;
			return 0;
		}
	}
	calculate_answer(bamboo_edges);
	reverse(bamboo_edges.begin(), bamboo_edges.end());
	calculate_answer(bamboo_edges);
	cout << answer << "\n";
	return 0;
}