#include <iostream>
#include <vector>

using namespace std;

const int MAX_N = 1e5 + 228;
int n, ans = 1;
vector<int> e;
vector<vector<int>> g;
vector<bool> open, new_open;

void read() {
	cin >> n;
	g.resize(n);
	for (int i = 0; i < n - 1; ++i) {
		int u, v, w;
		cin >> u >> v >> w;
		u--;
		v--;
		g[u].push_back(e.size());
		e.push_back(w);
		g[v].push_back(e.size());
		e.push_back(w);
	}
	open.resize(2 * (n - 1));
	new_open.resize(2 * (n - 1));
	if (n == 1) {
		cout << 0 << '\n';
		exit(0);
	}
}

void process(int x) {
	fill(open.begin(), open.end(), false);
	bool alive = false;
	for (int i = 0; i < 2 * (n - 1); ++i) {
		if (e[i] % x == 0) {
			alive = open[i] = true;
		}
	}
	if (!alive) {
		return;
	}
	for (int k = 1, d = x * x; alive; ++k, d *= x) {
		ans = max(ans, k);
		fill(new_open.begin(), new_open.end(), false);
		alive = false;
		for (int i = 0; i < n; ++i) {
			int cnt = 0, last = -1;
			for (auto en : g[i]) {
				if (open[en ^ 1]) {
					cnt++;
					last = en;
				}
			}
			if (cnt) {
				for (auto en : g[i]) {
					if (e[en] % d == 0 && (cnt > 1 || last != en)) {
						new_open[en] = alive = true;
					}
				}
			}
		}
		swap(open, new_open);
	}
}

int main() {
	read();
	for (int x = 3200; x >= 2; --x) {
		bool is_prime = true;
		for (int y = 2; y * y <= x; ++y) {
			if (x % y == 0) {
				is_prime = false;
				break;
			}
		}
		if (is_prime) {
			process(x);
		}
	}
	cout << ans << '\n';
}
