#include <bits/stdc++.h>
using namespace std;

const int MAX_W = 1e7 + 8;
const int MAX_N = 1e5 + 8;

vector<pair<pair<int, int>, int> > edges[MAX_W];
int answer = 0;
int parent[MAX_N];
vector<int> G[MAX_N];
vector<int> primes;
int mdp[MAX_W];

vector<int> prime_vertex;
int up[MAX_N];
int down[MAX_N][25];
vector<pair<int, int> > Gr[MAX_N];
bool used[MAX_N];

void parent_dfs(int v, int p) {
	parent[v] = p;
	for (auto edge : G[v]) {
		if (edge == p) continue;
		parent_dfs(edge, v);
	}
}

void dfs(int v) {
	used[v] = true;
	for (auto edge : Gr[v]) {
		if (used[edge.first] || edge.first == parent[v]) continue;
		dfs(edge.first);
	}
	for (auto edge : Gr[v]) {
		if (edge.first == parent[v]) continue;
		up[v] = max(up[v], min(up[edge.first] + 1, edge.second));
	}
	for (int k = 1; k < 24; ++k) {
		for (auto edge : Gr[v]) {
			if (edge.first == parent[v]) continue;
			if (edge.second >= k) down[v][k] = max(down[v][k], down[edge.first][k + 1] + 1);
		}
	}
	answer = max(answer, up[v]);
	answer = max(answer, down[v][1]);
	vector<int> up_vertex[25];
	for (auto edge : Gr[v]) {
		if (edge.first == parent[v]) continue;
		for (int k = 1; k <= min(edge.second, up[edge.first] + 1); ++k) {
			up_vertex[k].push_back(edge.first);
		}
	}
	for (auto edge : Gr[v]) {
		if (edge.first == parent[v]) continue;
		for (int k = 2; k <= edge.second; ++k) {
			if (up_vertex[k - 1].size() == 0) continue;
			if (up_vertex[k - 1][0] == edge.first && up_vertex[k - 1].size() == 1) continue;
			answer = max(answer, down[edge.first][k + 1] + k);
		}
	}
}
int main() {
	for (int i = 2; i < MAX_W; ++i) {
		if (mdp[i] == 0) {
			mdp[i] = i;
			primes.push_back(i);
		}
		for (int j = 0; j < primes.size() && i * primes[j] < MAX_W && primes[j] <= mdp[i]; ++j) {
			mdp[i * primes[j]] = primes[j];
		}
	}
	int n;
	cin >> n;
	for (int edge = 1; edge <= n - 1; ++edge) {
		int u, v, w;
		cin >> u >> v >> w;
		vector<pair<int, int> > divide;
		int x = w;
		while (x > 1) {
			if (divide.size() == 0 || divide.back().first != mdp[x]) {
				divide.push_back({mdp[x], 1});
			} else {
				divide.back().second++;
			}
			x /= mdp[x];
		}
		for (auto prime : divide) {
			edges[prime.first].push_back({{u, v}, prime.second});
		}
		G[u].push_back(v);
		G[v].push_back(u);
	}
	if (n == 1) {
		cout << 0 << "\n";
		return 0;
	}
	parent_dfs(1, 1);
	for (int prime = 2; prime < MAX_W; ++prime) {
		if (edges[prime].size() == 0) continue;
		prime_vertex.clear();
		for (auto edge : edges[prime]) {
			prime_vertex.push_back(edge.first.first);
			prime_vertex.push_back(edge.first.second);
		}
		prime_vertex.resize(unique(prime_vertex.begin(), prime_vertex.end()) - prime_vertex.begin());
		for (auto v : prime_vertex) {
			used[v] = false;
			up[v] = 0;
			Gr[v].clear();
			for (int k = 0; k < 25; ++k) down[v][k] = 0;
		}
		for (auto edge : edges[prime]) {
			Gr[edge.first.first].push_back({edge.first.second, edge.second});
			Gr[edge.first.second].push_back({edge.first.first, edge.second});
		}
		for (auto v : prime_vertex) {
			if (used[v]) continue;
			dfs(v);
		}
	}
	cout << answer << "\n";
	return 0;
}