#include <iostream>
#include <vector>

using namespace std;

const int MAX_N = 1e5 + 10;
const int MAX_C = 1e7 + 10;
const int SQ = 3200;
int lp[MAX_C];
vector<int> pr;

void sieve() {
	for (int i = 2; i < MAX_C; ++i) {
		if (!lp[i]) {
			lp[i] = i;
			pr.push_back(i);
		}
		for (auto p : pr) {
			if (p > lp[i] || i * p >= MAX_C) {
				break;
			}
			lp[i * p] = p;
		}
	}
}

const int PRIME_PW = 3e6;
int n, from[MAX_N], to[MAX_N], w[MAX_N], ptr[MAX_C], e_id[PRIME_PW], ans;

void read() {
	cin >> n;
	for (int i = 0; i < n - 1; ++i) {
		cin >> from[i] >> to[i] >> w[i];
		if (w[i] > 1) {
			ans = 1;
		}
		from[i]--;
		to[i]--;
		int _w = w[i], last_prime = 1, cur = 1;
		while (_w > 1 && last_prime < SQ) {
			lp[_w] == last_prime ? (cur *= last_prime) : (cur = last_prime = lp[_w]),
			_w /= lp[_w];
			ptr[cur]++;
		}
	}
	for (int i = 0; i < MAX_C - 1; ++i) {
		ptr[i + 1] += ptr[i];
	}
	for (int i = 0; i < n - 1; ++i) {
		int _w = w[i], last_prime = 1, cur = 1;
		while (_w > 1 && last_prime < SQ) {
			lp[_w] == last_prime ? (cur *= last_prime) : (cur = last_prime = lp[_w]),
			_w /= lp[_w];
			e_id[--ptr[cur]] = i;
		}
	}
}

int status[MAX_N], used[MAX_N], used_clr, status2[MAX_N], used2[MAX_N], used_clr2;
bool first_step;

bool process_edge(int u, int v) {
	if (first_step || (used[u] == used_clr && (status[u] == -1 || status[u] != v))) {
		if (used2[v] == used_clr2) {
			status2[v] = -1;
		} else {
			status2[v] = u;
			used2[v] = used_clr2;
		}
		return true;
	} else {
		return false;
	}
}

void process(int p) {
	first_step = true;
	for (int d = p, k = 1; d < MAX_C - 1; d *= p, ++k) {
		used_clr2++;
		bool alive = false;
		for (int i = ptr[d]; i < ptr[d + 1]; ++i) {
			// cerr << "i = " << i << '\n';
			if (process_edge(from[e_id[i]], to[e_id[i]])) {
				alive = true;
			}
			if (process_edge(to[e_id[i]], from[e_id[i]])) {
				alive = true;
			}
		}
		if (alive) {
			ans = max(ans, k);
			swap(status, status2);
			swap(used, used2);
			swap(used_clr, used_clr2);
			first_step = false;
		} else {
			break;
		}
	}
}

void solve() {
	for (int p = 2; p < SQ; ++p) {
		if (lp[p] == p) {
			process(p);
		}
	}
}

int main() {
	cin.tie(0)->sync_with_stdio(0);
	sieve();
	read();
	solve();
	cout << ans << '\n';
}
