#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = (int)(cnt.size()) - 1; i >= 0; --i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

vector<int> parse_blocks(const string& st) {
    vector<int> res;
    for (int i = 0; i < st.size(); ++i) {
        char c = st[i];
        if (i % 3 == 2) continue;
        if (i % 3 == 1) {
            res.back() *= 2;
            res.back() += (c - '0');
        } else {
            res.push_back(c - '0');
        }
    }
    return res;
}

int32_t main() {
    int n;
    cin >> n;
    string sa, sb;
    cin >> sa >> sb;
    vector<int> a = parse_blocks(sa);
    vector<int> b = parse_blocks(sb);
    sort(a.rbegin(), a.rend());
    sort(b.rbegin(), b.rend());
    vector<int> res(n);
    for (int i = 0; i < n; ++i) {
        res[i] = a[i] ^ b[i];
    }
    out(res);
}
