#include <algorithm>
#include <cstring>
#include <iostream>
#include <random>
#include <vector>

using namespace std;

vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = (int)(cnt.size()) - 1; i >= 0; --i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

vector<int> parse_blocks(const string& st) {
    vector<int> res;
    for (int i = 0; i < st.size(); ++i) {
        char c = st[i];
        if (i % 3 == 2) continue;
        if (i % 3 == 1) {
            res.back() *= 2;
            res.back() += (c - '0');
        } else {
            res.push_back(c - '0');
        }
    }
    return res;
}
const int BUBEN = 200'000'000;
const int K = 4;
mt19937 rng(0);


int32_t main() {
    int n;
    cin >> n;
    string sa, sb;
    cin >> sa >> sb;
    auto a = parse_blocks(sa);
    auto b = parse_blocks(sb);
    int iters = BUBEN / max(n, K);
    vector<int> ans(K, 0);
    vector<int> cur(K, 0);
    while (iters--) {
        shuffle(a.begin(), a.end(), rng);
        fill(cur.begin(), cur.end(), 0);
        for (int j = 0; j < n; ++j) {
            ++cur[a[j] ^ b[j]];
        }
        for (int x = K - 1; x >= 0; --x) {
            if (cur[x] > ans[x]) {
                for (int y = x; y >= 0; --y) {
                    ans[y] = cur[y];
                }
                break;
            } else if (cur[x] < ans[x]) {
                break;
            }
        }
    }
    out(BuildBlocks(ans));
}