#include "testlib.h"

using namespace std;

constexpr int MAX_N[7] = {
    100 * 1000,
    8,
    100 * 1000,
    100 * 1000,
    100 * 1000,
    100 * 1000,
    100 * 1000,
};

const string A_PATTERN[7] = {
    "[0-9A-F]",
    "[0-9A-F]",
    "[0]",
    "[0-1]",
    "[0-3]",
    "[0-9A-F]",
    "[0-9A-F]",
};

const string B_PATTERN[7] = {
    "[0-9A-F]",
    "[0-9A-F]",
    "[0-9A-F]",
    "[0-1]",
    "[048C]",
    "[0-9A-F]",
    "[0-9A-F]",
};

void check_two_or_less_distinct_digits(const string& st, const string& name) {
    int cnt = set<char>(st.begin(), st.end()).size();
    ensuref(cnt <= 2, "%s has more than two distinct digits (cnt = %d)", name.c_str(), cnt);
}

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int gr = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    
    int n = inf.readInt(1, MAX_N[n], "n");
    inf.readEoln();

    string a = inf.readToken(A_PATTERN[gr] + "{" + to_string(n) + "}", "a");
    inf.readEoln();
    string b = inf.readToken(B_PATTERN[gr] + "{" + to_string(n) + "}", "b");
    inf.readEoln();
    
    if (gr == 5) {
        check_two_or_less_distinct_digits(a, "a");
        check_two_or_less_distinct_digits(b, "b");
    }
    inf.readEof();
}
