#include <bitset>
#include <iostream>
#include <numeric>

using namespace std;

const int MAX_N = 2010;
int n, a[MAX_N], seg_max[MAX_N][MAX_N];
bitset<MAX_N> has_edge[MAX_N], used, filterL[MAX_N], filterR[MAX_N];


void dfs(int v) {
	used[v] = true;
	for (int u = 0; u < n; ++u) {
		if (!used[u] && has_edge[v][u]) {
			dfs(u);
		}
	}
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		seg_max[i][i] = a[i];
		for (int j = i + 1; j < n; ++j) {
			seg_max[i][j] = max(seg_max[i][j - 1], a[j]);
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < i; ++j) {
			has_edge[i][j] = (seg_max[j][min(i + (i - j), n - 1)] == a[j]);
		}
		for (int j = i; j < n; ++j) {
			has_edge[i][j] = (seg_max[max(i + (i - j), 0)][j] == a[j]);
		}
	}
	for (int i = 0; i < n; ++i) {
		used.reset();
		dfs(i);
		has_edge[i] = used;
	}
	for (int i = n - 1; i >= 0; --i) {
		filterL[i] = filterL[i + 1];
		filterL[i][i] = true;
	}
	for (int i = 0; i < n; ++i) {
		if (i) {
			filterR[i] = filterR[i - 1];
		}
		filterR[i][i] = true;
	}
	int q;
	cin >> q;
	while (q--) {
		int u, v, l, r;
		cin >> u >> v >> l >> r;
		u--;
		v--;
		l--;
		r--;
		cout << (has_edge[u] & has_edge[v] & filterL[l] & filterR[r]).count() << '\n';
	}
}
