#include <iostream>
#include <numeric>

using namespace std;

const int MAX_N = 2010;
int n, a[MAX_N];
bool used[MAX_N], has_edge[MAX_N][MAX_N];

void dfs(int v) {
	used[v] = true;
	for (int u = 0; u < n; ++u) {
		if (used[u]) {
			continue;
		}
		bool has_edge = true;
		for (int k = 0; k < n; ++k) {
			if (abs(k - v) <= abs(u - v) && a[k] > a[u]) {
				has_edge = false;
				break;
			}
		}
		if (has_edge) {
			dfs(u);
		}
	}
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		fill(used, used + n, false);
		dfs(i);
		copy(used, used + n, has_edge[i]);
	}
	int q;
	cin >> q;
	while (q--) {
		int u, v, l, r;
		cin >> u >> v >> l >> r;
		u--;
		v--;
		l--;
		r--;
		int ans = 0;
		for (int i = l; i <= r; ++i) {
			if (has_edge[u][i] && has_edge[v][i]) {
				ans++;
			}
		}
		cout << ans << '\n';
	}
}
