#include <bits/stdc++.h>

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define ar array

using namespace std;

using ll = long long;

const int INFi = 2e9;
const ll INF = 2e18;
const int maxN = 1e5 + 5;
const int LG = 19;

int lca(int a, int b, vector<vector<int>> &up, vector<int> &h) {
    if (h[a] < h[b]) swap(a, b);
    for (int i = LG - 1; i >= 0; --i) {
        if (h[up[a][i]] >= h[b]) a = up[a][i];
    }
    if (a == b) return a;
    for (int i = LG - 1; i >= 0; --i) {
        if (up[a][i] != up[b][i]) {
            a = up[a][i];
            b = up[b][i];
        }
    }
    return up[a][0];
}


pair<int, int> get(int a, vector<vector<int>> &up, const function<bool(int)> &f) {
    if (!f(a)) return pair<int, int>{0, -1};
    int res = 1;
    for (int i = LG - 1; i >= 0; --i) {
        if (f(up[a][i])) {
            a = up[a][i];
            res += (1 << i);
        }
    }
    return pair<int, int>{res, a};
}


void solve() {
    int n;
    cin >> n;
    vector<int> a(n);
    rep(i, n) cin >> a[i];
    auto calc_r = [](vector<int> &a) {
        int n = a.size();
        vector<int> res(n, -1);
        vector<int> ord(n);
        iota(all(ord), 0);
        sort(all(ord), [&](const int &i, const int &j) {
            return make_pair(a[i], i) < make_pair(a[j], j);
        });
        set<int> need_calc;
        set<int> alive;
        alive.insert(n * 3 + 10);
        alive.insert(-n * 3 - 10);
        rep(i, n) {
            need_calc.insert(i);
            alive.insert(i);
        }

        for (auto &i : ord) {
            auto it = alive.find(i);
            int L = *prev(it);
            int mid = (L + i + 2) / 2;
            mid = max(mid, 0);
            alive.erase(it);
            auto it2 = need_calc.lower_bound(mid);
            while (it2 != need_calc.end() && (*it2) < i) {
                res[(*it2)] = i;
                it2 = need_calc.erase(it2);
            }
        }
        return res;
    };
    auto r = calc_r(a);
    reverse(all(a));
    auto l = calc_r(a);
    reverse(all(a));
    reverse(all(l));
    rep(i, n) if (l[i] != -1) l[i] = n - 1 - l[i];
    vector<int> ansL(n, 1), ansR(n, 1);
    rep(i, n) if (l[i] != -1) ansL[i] += ansL[l[i]];
    for (int i = n - 1; i >= 0; --i) if (r[i] != -1) ansR[i] += ansR[r[i]];

    rep(i, n) if (l[i] == -1) l[i] = n;
    rep(i, n) if (r[i] == -1) r[i] = n;

    vector<vector<int>> upL(n + 1, vector<int>(LG));
    vector<vector<int>> upR(n + 1, vector<int>(LG));
    vector<int> hL(n + 1), hR(n + 1);
    rep(i, n) {
        upL[i][0] = l[i];
        upR[i][0] = r[i];
    }
    rep(i, n) hL[i] = hL[l[i]] + 1;
    for (int i = n - 1; i >= 0; --i) hR[i] = hR[r[i]] + 1;
    rep(i, LG) upL[n][i] = upR[n][i] = n;
    for (int i = 0; i < n; ++i) for (int j = 1; j < LG; ++j) upL[i][j] = upL[upL[i][j - 1]][j - 1];
    for (int i = n - 1; i >= 0; --i)
        for (int j = 1; j < LG; ++j)
            upR[i][j] = upR[upR[i][j - 1]][j - 1];
    int q;
    cin >> q;

    rep(_, q) {
        int u, v, L, R;
        cin >> u >> v >> L >> R;
        u--;
        v--;
        L--;
        R--;
        if (u > v) swap(u, v);
        int r1 = lca(u, v, upR, hR);
        int l1 = lca(u, v, upL, hL);
        int cntR = get(r1, upR, [&](int x) { return x <= R; }).first;
        cntR -= get(r1, upR, [&](int x) { return x < L; }).first;
        int cntL = get(l1, upL, [&](int x) { return x != n && x >= L; }).first;
        cntL -= get(l1, upL, [&](int x) { return x != n && x > R; }).first;
        int midL = get(v, upL, [&](int x) { return x != n && x > max(u, L - 1); }).second;
        int midR = get(u, upR, [&](int x) { return x != n && x < min(v, R + 1); }).second;

        int ans = cntR + cntL;
        if (midL <= midR && midL != -1 && midR != -1) {
            assert(a[midL] == a[midR]);
            ans += hL[midR] - hL[midL] + 1;
        }
        if (u == v && L <= u && u <= R) ans--;
        cout << ans << '\n';
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}