#include "testlib.h"
#include <algorithm>
#include <vector>

using namespace std;

struct Constrains {
	int maxN, maxC;
};

const int MAX_N = 5e5;
const int MAX_C = 1e9;

vector<Constrains> groups = {
	{MAX_N, MAX_C},
	{100, MAX_C},
	{2000, MAX_C},
	{(int)2e5, 2},
	{(int)2e5, 3},
	{10000, MAX_C},
	{MAX_N, MAX_C}
};

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);
	int group = validator.group() == "" ? 0 : stoi(validator.group());
	int n = inf.readInt(1, groups[group].maxN, "n");
	inf.readEoln();
	vector<int> arr = inf.readInts(n, 1, groups[group].maxC, "a");
	inf.readEoln();
	if (group == 2) {
		sort(arr.begin(), arr.end());
		for (int i = 1; i < (int)arr.size(); ++i) {
			ensuref(arr[i - 1] < arr[i], "The heights should be distinct");
		}
	}
	inf.readEof();
}
