#include <algorithm>
#include <iostream>
#include <set>
#include <vector>

using namespace std;

const int MAX_N = 1e6 + 42;
int L[MAX_N], greaterR[MAX_N];

void solveLeft(int n, int* arr, int* ans) {
	vector<int> st;
	for (int i = n - 1; i >= 0; --i) {
		while (!st.empty() && arr[i] >= arr[st.back()]) {
			st.pop_back();
		}
		greaterR[i] = st.empty() ? n : st.back();
		st.push_back(i);
	}
	vector<vector<int>> to_remove(n);
	set<int> edgeL;
	for (int i = 0; i < n; ++i) {
		for (auto rem : to_remove[i]) {
			edgeL.erase(rem);
		}
		L[i] = edgeL.empty() ? -1 : *prev(edgeL.end());
		edgeL.insert(i);
		if (greaterR[i] < n) {
			to_remove[(i + greaterR[i] + 1) / 2].push_back(i);
		}
	}
	for (int i = 0; i < n; ++i) {
		ans[i] = L[i] == -1 ? 0 : ans[L[i]] + 1;
	}
}

int n, a[MAX_N], ansL[MAX_N], ansR[MAX_N];

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	solveLeft(n, a, ansL);
	reverse(a, a + n);
	solveLeft(n, a, ansR);
	reverse(ansR, ansR + n);
	for (int i = 0; i < n; ++i) {
		cout << ansL[i] + ansR[i] + 1 << ' ';
	}
	cout << '\n';
}
