#include <iostream>
#include <numeric>

using namespace std;

const int MAX_N = 5010;
int n, a[MAX_N], seg_max[MAX_N][MAX_N];
bool used[MAX_N], has_edge[MAX_N][MAX_N];

void dfs(int v) {
	used[v] = true;
	for (int u = 0; u < n; ++u) {
		if (!used[u] && has_edge[v][u]) {
			dfs(u);
		}
	}
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		seg_max[i][i] = a[i];
		for (int j = i + 1; j < n; ++j) {
			seg_max[i][j] = max(seg_max[i][j - 1], a[j]);
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < i; ++j) {
			has_edge[i][j] = (seg_max[j][min(i + (i - j), n - 1)] == a[j]);
		}
		for (int j = i; j < n; ++j) {
			has_edge[i][j] = (seg_max[max(i + (i - j), 0)][j] == a[j]);
		}
	}
	for (int i = 0; i < n; ++i) {
		fill(used, used + n, false);
		dfs(i);
		int ans = accumulate(used, used + n, (int)0);
		cout << ans << ' ';
	}
	cout << '\n';
}
