#include <algorithm>
#include <iostream>
#include <numeric>
#include <vector>

using namespace std;

const int MAX_N = 5010;
int n, a[MAX_N], seg_max[MAX_N][MAX_N];
bool has_edge[MAX_N][MAX_N];

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		seg_max[i][i] = a[i];
		for (int j = i + 1; j < n; ++j) {
			seg_max[i][j] = max(seg_max[i][j - 1], a[j]);
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < i; ++j) {
			has_edge[i][j] = (seg_max[j][min(i + (i - j), n - 1)] == a[j]);
		}
		for (int j = i; j < n; ++j) {
			has_edge[i][j] = (seg_max[max(i + (i - j), 0)][j] == a[j]);
		}
	}
	vector<pair<int, int>> order;
	for (int i = 0; i < n; ++i) {
		order.emplace_back(a[i], i);
	}
	sort(order.rbegin(), order.rend());
	for (int i = 0; i < n; ++i) {
		int v = order[i].second;
		for (int j = i + 1; j < n; ++j) {
			int u = order[j].second;
			if (has_edge[u][v]) {
				for (int k = 0; k < n; ++k) {
					if (has_edge[v][k]) {
						has_edge[u][k] = true;
					}
				}
			}
		}
	}
	for (int i = 0; i < n; ++i) {
		cout << accumulate(has_edge[i], has_edge[i] + n, (int)0) << ' ';
	}
	cout << '\n';
}
