#include <iostream>
#include <vector>

using namespace std;

const int LG = 20;
const int MAX_N = 1e6 + 10;
int n, a[MAX_N], L[MAX_N], R[MAX_N], spL[LG][MAX_N], spR[LG][MAX_N], log2[MAX_N], ans[MAX_N];

void build_sp() {
	for (int i = 2; i <= n; ++i) {
		log2[i] = log2[i / 2] + 1;
	}
	for (int i = 0; i < n; ++i) {
		spL[0][i] = L[i];
		spR[0][i] = R[i];
	}
	for (int lvl = 1; lvl < LG; ++lvl) {
		for (int i = n - 1; i >= 0; --i) {
			spL[lvl][i] = spL[lvl - 1][i];
			spR[lvl][i] = spR[lvl - 1][i];
			int i1 = i + (1 << (lvl - 1));
			if (i1 < n) {
				spL[lvl][i] = min(spL[lvl][i], spL[lvl - 1][i1]);
				spR[lvl][i] = max(spR[lvl][i], spR[lvl - 1][i1]);
			}
		}
	}
}

pair<int, int> get(int l, int r) {
	int h = log2[r - l + 1];
	return {min(spL[h][l], spL[h][r - (1 << h) + 1]), max(spR[h][l], spR[h][r - (1 << h) + 1])}; 
}

void calc_LR() {
	vector<int> st;
	for (int i = 0; i < n; ++i) {
		while (!st.empty() && a[i] >= a[st.back()]) {
			st.pop_back();
		}
		L[i] = st.empty() ? -1 : st.back();
		st.push_back(i);
	}
	st.clear();
	for (int i = n - 1; i >= 0; --i) {
		while (!st.empty() && a[i] >= a[st.back()]) {
			st.pop_back();
		}
		R[i] = st.empty() ? n : st.back();
		st.push_back(i);
	}
	for (int i = 0; i < n; ++i) {
		L[i] = L[i] == -1 ? 0 : (i + L[i]) / 2 + 1;
		R[i] = R[i] == n ? n - 1 : (i + R[i] - 1) / 2;
	}
}

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	calc_LR();
	build_sp();
	for (int i = 0; i < n; ++i) {
		int l = i, r = i;
		while (true) {
			auto [l1, r1] = get(l, r);
			if (l1 < l || r1 > r) {
				l = l1;
				r = r1;
			} else {
				break;
			}
		}
		ans[l]++;
		ans[r + 1]--;
	}
	for (int i = 1; i <= n; ++i) {
		ans[i] += ans[i - 1];
	}
	for (int i = 0; i < n; ++i) {
		cout << ans[i] << ' ';
	}
	cout << '\n';
}
