#include <algorithm>
#include <iostream>
#include <set>
#include <vector>

using namespace std;

const int MAX_N = 1e6 + 42;
int greaterR[MAX_N];
int parent_dsu[MAX_N];
int ranks[MAX_N];
int who[MAX_N];


int getset(int v) {
	if (v == parent_dsu[v]) {
		return v;
	}
	return parent_dsu[v] = getset(parent_dsu[v]);
}

void calcLeftTree(int n, int* arr, int* L) {
	vector<int> st;
	for (int i = n - 1; i >= 0; --i) {
		while (!st.empty() && arr[i] >= arr[st.back()]) {
			st.pop_back();
		}
		greaterR[i] = st.empty() ? n : st.back();
		st.push_back(i);
	}
	vector<vector<int>> to_remove(n);
	int cnt = 0;
	for (int i = 0; i <= n; ++i) {
		parent_dsu[i] = i;
		who[i] = i;
		ranks[i] = 1;
	}
	for (int i = 0; i < n; ++i) {
		for (auto rem : to_remove[i]) {
			int t = getset(rem + 1);
			int t1 = getset(rem);
			if (ranks[t] > ranks[t1]) {
				swap(t, t1);
				swap(who[t], who[t1]);
			}
			parent_dsu[t] = t1;
			ranks[t1] = max(ranks[t1], ranks[t] + 1);
		}
		L[i] = who[getset(i)] - 1;
		if (greaterR[i] < n) {
			to_remove[(i + greaterR[i] + 1) / 2].push_back(i);
		}
	}
}


int n, a[MAX_N], par[2][MAX_N];
int cnt[MAX_N], cnt1[MAX_N];


int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	calcLeftTree(n, a, par[0]);
	reverse(a, a + n);
	calcLeftTree(n, a, par[1]);
	reverse(par[1], par[1] + n);
	for (int i = 0; i < n; ++i) {
		par[1][i] = n - 1 - par[1][i];
	}
	for (int i = 0; i < n; i++) {
		cnt[i] = 1 + (par[0][i] != -1 ? cnt[par[0][i]]: 0);
	}
	for (int i = n - 1; i >= 0; i--) {
		cnt1[i] = 1 + (par[1][i] != -1 ? cnt1[par[1][i]]: 0);
	}
	for (int i = 0; i < n; i++) {
		cout << cnt[i] + cnt1[i] - 1 << ' '; 
	}
	cout << '\n';
}
