#include "testlib.h"
#include <sstream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

vector<int> vec;

typedef long long ll;

const ll MAX_A = 1'000'000'000'000'000'000ll;

string ending(ll x) {
    x %= 100;
    if (x / 10 == 1) {
        return "th";
    }
    if (x % 10 == 1) {
        return "st";
    }
    if (x % 10 == 2) {
        return "nd";
    }
    if (x % 10 == 3) {
        return "rd";
    }
    return "th";
}

int n;
vector<int> sums;

void read_input() {
    n = inf.readInt();
    sums.resize(n);
    for (int i = 0; i < n; ++i) {
        sums[i] = inf.readInt();
    }
}

int get_sum(ll number) {
    int ans = 0;
    while (number) {
        ans += number % 10;
        number /= 10;
    }
    return ans;
}


ll readAns(InStream& stream) {
    ll start_number = stream.readLong(1, MAX_A, "a");

    for (int i = 0; i < n; i++) {
        ll cur_number = start_number + i;
        int cur_number_sum = get_sum(cur_number);
        if (cur_number_sum != sums[i]) {
            stream.quitf(
                _wa,
                "%d%s element is wrong: expected sum: %d, got sum %d, element: %lld",
                i + 1,
                ending(i + 1).c_str(),
                sums[i],
                cur_number_sum,
                cur_number
            );
        }
    }
    
    return start_number;
}

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);

    read_input();

    ll jans = readAns(ans);
    ll pans = readAns(ouf);

    quitf(_ok, "Answer is correct. (jans = %lld, pans = %lld)", jans, pans);
}
