#include "testlib.h"
#include <string>
#include <vector>
#define ll long long

using namespace std;

template<class T1, class T2> bool chkmax(T1& a, const T2& b) {
    return b > a ? (a = b, true) : false;
}

ll solution(vector<int> sum) {
    static const int D = 10;
    int n = sum.size();
    int max_carry = 0, max_carry_pos = 0;
    for (int i = 1; i < n; ++i) {
        int delta = sum[i] - sum[i - 1];
        if (delta < 0 && chkmax(max_carry, abs(delta / 9) + 1)) {
            max_carry_pos = i - 1;
        }
    }
    int cur_sum = sum[max_carry_pos];
    vector<int> ans(D);
    for (int i = 0; i < max_carry; ++i) {
        ans[i] = 9;
        cur_sum -= 9;
    }
    for (int i = D - 1; cur_sum > 0; --i) {
        ans[i] = min(cur_sum, 9);
        cur_sum -= ans[i];
    }
    ll num = 0;
    for (int i = D - 1; i >= 0; --i) {
        num *= 10;
        num += ans[i];
    }
    num -= max_carry_pos;
    return num;
}

const ll MAX_A = 1'000'000'000'000'000'000ll;
void check(vector<int> sum, ll num) {
    ensuref(1 <= num && num <= MAX_A, "The solution is not within the bounds");
    for (int i = 0; i < sum.size(); ++i) {
        int d = 0;
        ll x = num + i;
        while (x) {
            d += x % 10;
            x /= 10;
        }
        ensuref(d == sum[i], "The solution %lld is incorrect, %dth sum is incorrect", num, i);
    }
}

const int K = 90;
vector<int> MAX_N = {5, 2, 100, 1000, 10000, 100000};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int gr = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    int n = inf.readInt(2, MAX_N[gr], "n");
    
    inf.readEoln();
    
    vector<int> sum = inf.readInts(n, 1, K, "sum");
    inf.readEoln();

    ll sol = solution(sum);
    check(sum, sol);

    inf.readEof();
}
