#include <iostream>
#include <ctime>
#include <algorithm>
#include <iomanip>
#include <vector>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ld;

#define fastInp cin.tie(0); cout.tie(0); ios_base::sync_with_stdio(0);

ll n;
vector<int> vec;

const ll MAXN = 1e7;

int cnter(int nm) {
	int ans = 0;
	while (nm > 0) {
		ans += nm % 10;
		nm /= 10;
	}

	return ans;
}

vector<int> z_function(vector<int> s) {
	int n = (int)s.size();
	vector<int> z(n);
	for (int i = 1, l = 0, r = 0; i < n; ++i) {
		if (i <= r)
			z[i] = min(r - i + 1, z[i - l]);
		while (i + z[i] < n && s[z[i]] == s[i + z[i]])
			++z[i];
		if (i + z[i] - 1 > r)
			l = i, r = i + z[i] - 1;
	}

	return z;
}

int main() {
	fastInp;

	cin >> n;

	vec.resize(n);
	for (auto& c : vec) cin >> c;
	
	vec.push_back(-1);
	for (int i = 1; i <= MAXN; i++) vec.push_back(cnter(i));

	vector<int> zz = z_function(vec);

	for (int i = 0; i < MAXN; i++) {
		if (zz[i + n + 1] == n) {
			cout << i + 1;
			return 0;
		}
	}

	cout << "-1";

	return 0;
}